| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Updating all elements with one
Vector Conversions » Broadcast

Broadcasts value one (1) to all vector lanes. More...

## Functions
v32bfloat16 | broadcast_one_bfloat16 ()
v16cint16 | broadcast_one_c16 ()
v8cint32 | broadcast_one_c32 ()
v32int16 | broadcast_one_s16 ()
v16int32 | broadcast_one_s32 ()
v64int8 | broadcast_one_s8 ()
v16cint16 | broadcast_one_to_v16cint16 ()
v16float | broadcast_one_to_v16float ()
v16int32 | broadcast_one_to_v16int32 ()
v16uint32 | broadcast_one_to_v16uint32 ()
v32bfloat16 | broadcast_one_to_v32bfloat16 ()
v32float16 | broadcast_one_to_v32float16 ()
v32int16 | broadcast_one_to_v32int16 ()
v32uint16 | broadcast_one_to_v32uint16 ()
v64bfloat8 | broadcast_one_to_v64bfloat8 ()
v64float8 | broadcast_one_to_v64float8 ()
v64int8 | broadcast_one_to_v64int8 ()
v64uint8 | broadcast_one_to_v64uint8 ()
v8cfloat | broadcast_one_to_v8cfloat ()
v8cint32 | broadcast_one_to_v8cint32 ()
v32uint16 | broadcast_one_u16 ()
v16uint32 | broadcast_one_u32 ()
v64uint8 | broadcast_one_u8 ()

## Detailed Description

Broadcasts value one (1) to all vector lanes.

## Function Documentation

## ◆ broadcast_one_bfloat16()

v32bfloat16 broadcast_one_bfloat16 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v32bfloat16' variant instead.

## ◆ broadcast_one_c16()

v16cint16 broadcast_one_c16 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v16cint16' variant instead.

## ◆ broadcast_one_c32()

v8cint32 broadcast_one_c32 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v8cint32' variant instead.

## ◆ broadcast_one_s16()

v32int16 broadcast_one_s16 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v32int16' variant instead.

## ◆ broadcast_one_s32()

v16int32 broadcast_one_s32 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v16int32' variant instead.

## ◆ broadcast_one_s8()

v64int8 broadcast_one_s8 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v64int8' variant instead.

## ◆ broadcast_one_to_v16cint16()

v16cint16 broadcast_one_to_v16cint16 | ( |  | ) |

## ◆ broadcast_one_to_v16float()

v16float broadcast_one_to_v16float | ( |  | ) |

## ◆ broadcast_one_to_v16int32()

v16int32 broadcast_one_to_v16int32 | ( |  | ) |

## ◆ broadcast_one_to_v16uint32()

v16uint32 broadcast_one_to_v16uint32 | ( |  | ) |

## ◆ broadcast_one_to_v32bfloat16()

v32bfloat16 broadcast_one_to_v32bfloat16 | ( |  | ) |

## ◆ broadcast_one_to_v32float16()

v32float16 broadcast_one_to_v32float16 | ( |  | ) |

## ◆ broadcast_one_to_v32int16()

v32int16 broadcast_one_to_v32int16 | ( |  | ) |

## ◆ broadcast_one_to_v32uint16()

v32uint16 broadcast_one_to_v32uint16 | ( |  | ) |

## ◆ broadcast_one_to_v64bfloat8()

v64bfloat8 broadcast_one_to_v64bfloat8 | ( |  | ) |

## ◆ broadcast_one_to_v64float8()

v64float8 broadcast_one_to_v64float8 | ( |  | ) |

## ◆ broadcast_one_to_v64int8()

v64int8 broadcast_one_to_v64int8 | ( |  | ) |

## ◆ broadcast_one_to_v64uint8()

v64uint8 broadcast_one_to_v64uint8 | ( |  | ) |

## ◆ broadcast_one_to_v8cfloat()

v8cfloat broadcast_one_to_v8cfloat | ( |  | ) |

## ◆ broadcast_one_to_v8cint32()

v8cint32 broadcast_one_to_v8cint32 | ( |  | ) |

## ◆ broadcast_one_u16()

v32uint16 broadcast_one_u16 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v32uint16' variant instead.

## ◆ broadcast_one_u32()

v16uint32 broadcast_one_u32 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v16uint32' variant instead.

## ◆ broadcast_one_u8()

v64uint8 broadcast_one_u8 | ( |  | ) |

Deprecated
  Please use the 'broadcast_one_to_v64uint8' variant instead.